# $Id$

######################################################################
# This file is used by "rpm" to create the source and binary
# distributions for Redhat Package Manager. The file rpm.spec is
# created from rpm.spec.in by a local Makefile.

Summary: Secure encryption and decryption of files and streams
Name: ccrypt
Version: 1.11
Release: 1
License: GNU General Public License
Group: Applications/Cryptography
Source: http://ccrypt.sourceforge.net/download/ccrypt-%{version}.tar.gz
URL: http://ccrypt.sourceforge.net/
Packager: Peter Selinger <selinger@users.sourceforge.net>
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
ccrypt is a tool for encrypting and decrypting files and streams.  It
is based on the Rijndael cipher, a version of which is also used in
the Advanced Encryption Standard (AES, see http://www.nist.gov/aes).
This cipher is believed to provide very strong cryptographic security.

%prep
rm -rf %{buildroot}

%setup

%build
%configure --prefix=%{_prefix} --bindir=%{_bindir} --mandir=%{_mandir}
make

%install
make install-strip DESTDIR=%{buildroot} \
	htmldir=%{buildroot}/%{_docdir}/ccrypt-1.11

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc doc/ccrypt.html
%doc AUTHORS COPYING ChangeLog NEWS
%doc README README-WIN doc/cypfaq01.txt 
%{_prefix}/share/emacs/site-lisp/ps-ccrypt.el
%{_prefix}/share/emacs/site-lisp/ps-ccrypt.elc
%{_prefix}/share/locale/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Jun 05 2009 Peter Selinger <selinger@users.sourceforge.net>
- new names for emacs files
* Tue Mar 30 2004 Peter Selinger <selinger@users.sourceforge.net>
- rename rpm.spec as ccrypt-%{version}.spec
* Mon Mar 29 2004 Peter Selinger <selinger@users.sourceforge.net>
- force html files to be installed with documentation
* Mon Aug 18 2003 Peter Selinger <selinger@users.sourceforge.net>
- changed group from Applications/Encryption to Applications/Cryptography
* Mon Mar 31 2003 Peter Selinger <selinger@users.sourceforge.net>
- made spec file more Mandrake acceptable
